Skip to content

Remove the labels from resources

Request

OAuth 2.0 scope:
  • okta.governance.labels.manage
Admin roles:
  • SUPER_ADMIN

Removes the specified label values from resources

Note: If you create a custom admin role for assigning and unassigning labels to resources, ensure that the custom role has permissions to edit the resource and governance labels. For example, to unassign labels from apps, the custom admin role must have the okta.apps.manage and the okta.governance.labels.manage permissions.

Bodyapplication/jsonrequired
resourceOrnsArray of strings, [ 1 .. 10 ] itemsrequired

Resources assigned to labels (in ORN format)

labelValueIdsArray of strings, [ 1 .. 10 ] itemsrequired

Labels assigned to resources in the resourceOrns list

POST
/governance/api/v1/resource-labels/unassign
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/governance/api/v1/resource-labels/unassign \
  -H 'Content-Type: application/json' \
  -d '{
    "resourceOrns": [
      "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:oidc:0oafxqCAJWWGELFTYASJ",
      "orn:okta:directory:00o11edPwGqbUrsDm0g4:groups:00g10ctakVI6XlTdk0g4",
      "orn:okta:governance:00o11edPwGqbUrsDm0g4:entitlement-bundles:enbogpaj3XUzcM62u1d6",
      "orn:okta:governance:00o11edPwGqbUrsDm0g4:collections:cologpaj3XUzcM62u1d6",
      "orn:okta:governance:00o11rndFqmZ5rNfs0g4:entitlement-values:ent63C22YQoNMWOJf0g2"
    ],
    "labelValueIds": [
      "lblo3v6xlwdtEX2il1d2"
    ]
  }'

Responses

Label deleted successfully

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Response
No content